<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="odoo" target="multi-user">
      <override/>
      <file engine="none" source="sysuser-odoo.conf">/sysusers.d/1odoo.conf</file>
      <file engine="none" source="tmpfile-odoo.conf">/tmpfiles.d/0odoo.conf</file>
      <file mode="700">/sbin/config_odoo.py</file>
      <file mode="400" owner="odoo">/etc/odoo/odoo.conf</file>
      <file mode="400" owner="odoo">/etc/odoo/postgresql.pass</file>
      <file>/etc/hosts</file>
      <file source="config-nginx.conf">/etc/nginx/default.d/odoo.conf</file>
    </service>
  </services>
  <variables>
    <family name="odoo" description="Odoo">
      <variable name="odoo_admin_password" type="password" description="Mot de passe de l'administrateur" hidden="True"/>
      <variable name="odoo_admin_email" type="mail" description="Adresse courriel de l'administrateur" mandatory="True"/>
      <variable name="odoo_company_name" description="Nom" mandatory="True"/>
      <variable name="odoo_company_street" description="Adresse" mandatory="True"/>
      <variable name="odoo_company_city" description="Ville" mandatory="True"/>
      <variable name="odoo_company_zip" description="Code postal" mandatory="True"/>
      <variable name="odoo_company_vat" description="Numéro TVA" mandatory="True"/>
      <variable name="odoo_company_registry" description="Registre de la société" mandatory="True"/>
      <variable name="odoo_company_phone" description="Numéro de téléphone"/>
      <variable name="odoo_company_mobile" description="Numéro de téléphone mobile"/>
      <variable name="odoo_company_email" description="Adresse courriel" mandatory="True"/>
      <variable name="odoo_company_website" description="Site internet" mandatory="True"/>
      <variable name="odoo_company_logo" type="filename" description="Chemin du logo" mandatory="True"/>
      <variable name="odoo_company_footer" description="Pied de page des documents" mandatory="True"/>
      <variable name="odoo_company_layout" description="Agencement des documents" mandatory="True" type="choice">
        <value>standard</value>
        <choice>standard</choice>
        <choice>bold</choice>
        <choice>boxed</choice>
        <choice>striped</choice>
      </variable>
      <variable name="odoo_addons" description="Liste des applications à activer" multi="True">
        <value>base</value>
        <value>l10n_fr</value>
        <value>l10n_fr_fec</value>
        <value>account</value>
        <value>hr</value>
        <value>hr_contract</value>
        <value>sale_management</value>
      </variable>
    </family>
    <family name="postgresql">
      <variable name="pg_client_key_owner" redefine="True">
        <value>odoo</value>
      </variable>
    </family>
    <family name="oauth2_client">
      <variable name="oauth2_is_client_application" redefine='True'>
        <value>True</value>
      </variable>
      <variable name="oauth2_client_name" redefine='True'>
        <value>ERP</value>
      </variable>
      <variable name="oauth2_client_description" redefine='True'>
        <value>ERP Odoo</value>
      </variable>
      <variable name="oauth2_client_category" redefine='True'>
        <value>Entreprise</value>
      </variable>
      <variable name="oauth2_client_logo" redefine='True'>
        <value>silique_note.png</value>
      </variable>
      <family name="external">
        <variable name="oauth2_client_external" redefine="True" multi='True'/>
	<variable name="oauth2_client_family" redefine="True" multi="True"/>
      </family>
    </family>
    <family name="annuaire">
      <family name="client">
        <variable name="ldap_key_file_owner" redefine="True">
          <value>odoo</value>
        </variable>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">admin</param>
      <param name="description">admin</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <param name="temporary" type="boolean">True</param>
      <target>odoo_admin_password</target>
    </fill>
  </constraints>
</rougail>
